Bug 1803282 - enable collection of service ca expiry time as a metric in service-ca-operator
Summary: enable collection of service ca expiry time as a metric in service-ca-operator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.4.0
Assignee: Venkata Siva Teja Areti
QA Contact: scheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-14 23:08 UTC by Venkata Siva Teja Areti
Modified: 2020-05-13 21:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Wire necessary components for Prometheus to scrape service ca signer expiry time from service-ca-operator. Reason: This metrics gives user information about when service CA signer will expire and when it is regenerated. Result: Servica CA signer expiry time metrics is now visible to user through prometheus dashboard
Clone Of:
Environment:
Last Closed: 2020-05-13 21:57:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift service-ca-operator pull 95 None closed Bug 1803282: enable signer ca expiry timer metrics 2020-04-20 21:05:00 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:57:59 UTC

Description Venkata Siva Teja Areti 2020-02-14 23:08:27 UTC
It is good to have expiry time of service ca exposed as metric in service-ca-operator.

Comment 5 errata-xmlrpc 2020-05-13 21:57:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.